Launch pool capacity
curl --request POST \
--url https://levers9.uselevers.com/pools:launch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pool": {
"name": "<string>",
"gpu": [
"<string>"
],
"nodes": 123,
"ttl": "<string>",
"maxSpend": 123,
"providers": [
"<string>"
],
"regions": [
"<string>"
],
"minReliability": 123,
"selector": "<string>",
"mode": "<string>",
"transport": "<string>",
"fallback": "<string>",
"priority": 123,
"offerId": "<string>",
"containerRuntime": "<string>"
},
"nodes": 123
}
'import requests
url = "https://levers9.uselevers.com/pools:launch"
payload = {
"pool": {
"name": "<string>",
"gpu": ["<string>"],
"nodes": 123,
"ttl": "<string>",
"maxSpend": 123,
"providers": ["<string>"],
"regions": ["<string>"],
"minReliability": 123,
"selector": "<string>",
"mode": "<string>",
"transport": "<string>",
"fallback": "<string>",
"priority": 123,
"offerId": "<string>",
"containerRuntime": "<string>"
},
"nodes": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pool: {
name: '<string>',
gpu: ['<string>'],
nodes: 123,
ttl: '<string>',
maxSpend: 123,
providers: ['<string>'],
regions: ['<string>'],
minReliability: 123,
selector: '<string>',
mode: '<string>',
transport: '<string>',
fallback: '<string>',
priority: 123,
offerId: '<string>',
containerRuntime: '<string>'
},
nodes: 123
})
};
fetch('https://levers9.uselevers.com/pools:launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/pools:launch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pool' => [
'name' => '<string>',
'gpu' => [
'<string>'
],
'nodes' => 123,
'ttl' => '<string>',
'maxSpend' => 123,
'providers' => [
'<string>'
],
'regions' => [
'<string>'
],
'minReliability' => 123,
'selector' => '<string>',
'mode' => '<string>',
'transport' => '<string>',
'fallback' => '<string>',
'priority' => 123,
'offerId' => '<string>',
'containerRuntime' => '<string>'
],
'nodes' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/pools:launch"
payload := strings.NewReader("{\n \"pool\": {\n \"name\": \"<string>\",\n \"gpu\": [\n \"<string>\"\n ],\n \"nodes\": 123,\n \"ttl\": \"<string>\",\n \"maxSpend\": 123,\n \"providers\": [\n \"<string>\"\n ],\n \"regions\": [\n \"<string>\"\n ],\n \"minReliability\": 123,\n \"selector\": \"<string>\",\n \"mode\": \"<string>\",\n \"transport\": \"<string>\",\n \"fallback\": \"<string>\",\n \"priority\": 123,\n \"offerId\": \"<string>\",\n \"containerRuntime\": \"<string>\"\n },\n \"nodes\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://levers9.uselevers.com/pools:launch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pool\": {\n \"name\": \"<string>\",\n \"gpu\": [\n \"<string>\"\n ],\n \"nodes\": 123,\n \"ttl\": \"<string>\",\n \"maxSpend\": 123,\n \"providers\": [\n \"<string>\"\n ],\n \"regions\": [\n \"<string>\"\n ],\n \"minReliability\": 123,\n \"selector\": \"<string>\",\n \"mode\": \"<string>\",\n \"transport\": \"<string>\",\n \"fallback\": \"<string>\",\n \"priority\": 123,\n \"offerId\": \"<string>\",\n \"containerRuntime\": \"<string>\"\n },\n \"nodes\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/pools:launch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pool\": {\n \"name\": \"<string>\",\n \"gpu\": [\n \"<string>\"\n ],\n \"nodes\": 123,\n \"ttl\": \"<string>\",\n \"maxSpend\": 123,\n \"providers\": [\n \"<string>\"\n ],\n \"regions\": [\n \"<string>\"\n ],\n \"minReliability\": 123,\n \"selector\": \"<string>\",\n \"mode\": \"<string>\",\n \"transport\": \"<string>\",\n \"fallback\": \"<string>\",\n \"priority\": 123,\n \"offerId\": \"<string>\",\n \"containerRuntime\": \"<string>\"\n },\n \"nodes\": 123\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>",
"pool": {
"name": "<string>",
"selector": "<string>",
"config": {
"name": "<string>",
"gpu": [
"<string>"
],
"nodes": 123,
"ttl": "<string>",
"maxSpend": 123,
"providers": [
"<string>"
],
"regions": [
"<string>"
],
"minReliability": 123,
"selector": "<string>",
"mode": "<string>",
"transport": "<string>",
"fallback": "<string>",
"priority": 123,
"offerId": "<string>",
"containerRuntime": "<string>"
},
"reservations": [
{
"id": "<string>",
"poolName": "<string>",
"provider": "<string>",
"offerId": "<string>",
"status": "<string>",
"gpuCount": 123,
"hourlyCostMicros": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"billingRenewalAt": "2023-11-07T05:31:56Z",
"statusMessage": "<string>",
"terminatingReason": "<string>",
"machineId": "<string>",
"cloud": "<string>",
"region": "<string>",
"nodeCount": 123,
"instanceType": "<string>",
"cpuMillicores": "<string>",
"memoryMb": "<string>",
"storageMb": "<string>"
}
],
"committedSpendMicros": "<string>",
"status": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"machineCount": 123,
"readyMachineCount": 123,
"reservedNodes": 123,
"byoc": {
"provider": "<string>",
"accountId": "<string>",
"region": "<string>",
"resourceName": "<string>",
"resourceUrl": "<string>",
"destroyUrl": "<string>",
"phase": "<string>",
"desiredNodes": 123,
"maxNodes": 123,
"targetSandboxes": 123,
"sandboxesPerNode": 123,
"instanceType": "<string>",
"machineCount": 123,
"readyMachineCount": 123,
"message": "<string>",
"hourlyCostMicros": "<string>",
"totalHourlyCostMicros": "<string>",
"directScaleEnabled": true,
"gpu": "<string>",
"gpuCount": 123
}
},
"errorCode": "<string>",
"requiredCents": "<string>",
"availableCents": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ControlPlaneService
Launch pool capacity
POST
/
pools:launch
Launch pool capacity
curl --request POST \
--url https://levers9.uselevers.com/pools:launch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pool": {
"name": "<string>",
"gpu": [
"<string>"
],
"nodes": 123,
"ttl": "<string>",
"maxSpend": 123,
"providers": [
"<string>"
],
"regions": [
"<string>"
],
"minReliability": 123,
"selector": "<string>",
"mode": "<string>",
"transport": "<string>",
"fallback": "<string>",
"priority": 123,
"offerId": "<string>",
"containerRuntime": "<string>"
},
"nodes": 123
}
'import requests
url = "https://levers9.uselevers.com/pools:launch"
payload = {
"pool": {
"name": "<string>",
"gpu": ["<string>"],
"nodes": 123,
"ttl": "<string>",
"maxSpend": 123,
"providers": ["<string>"],
"regions": ["<string>"],
"minReliability": 123,
"selector": "<string>",
"mode": "<string>",
"transport": "<string>",
"fallback": "<string>",
"priority": 123,
"offerId": "<string>",
"containerRuntime": "<string>"
},
"nodes": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pool: {
name: '<string>',
gpu: ['<string>'],
nodes: 123,
ttl: '<string>',
maxSpend: 123,
providers: ['<string>'],
regions: ['<string>'],
minReliability: 123,
selector: '<string>',
mode: '<string>',
transport: '<string>',
fallback: '<string>',
priority: 123,
offerId: '<string>',
containerRuntime: '<string>'
},
nodes: 123
})
};
fetch('https://levers9.uselevers.com/pools:launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/pools:launch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pool' => [
'name' => '<string>',
'gpu' => [
'<string>'
],
'nodes' => 123,
'ttl' => '<string>',
'maxSpend' => 123,
'providers' => [
'<string>'
],
'regions' => [
'<string>'
],
'minReliability' => 123,
'selector' => '<string>',
'mode' => '<string>',
'transport' => '<string>',
'fallback' => '<string>',
'priority' => 123,
'offerId' => '<string>',
'containerRuntime' => '<string>'
],
'nodes' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/pools:launch"
payload := strings.NewReader("{\n \"pool\": {\n \"name\": \"<string>\",\n \"gpu\": [\n \"<string>\"\n ],\n \"nodes\": 123,\n \"ttl\": \"<string>\",\n \"maxSpend\": 123,\n \"providers\": [\n \"<string>\"\n ],\n \"regions\": [\n \"<string>\"\n ],\n \"minReliability\": 123,\n \"selector\": \"<string>\",\n \"mode\": \"<string>\",\n \"transport\": \"<string>\",\n \"fallback\": \"<string>\",\n \"priority\": 123,\n \"offerId\": \"<string>\",\n \"containerRuntime\": \"<string>\"\n },\n \"nodes\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://levers9.uselevers.com/pools:launch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pool\": {\n \"name\": \"<string>\",\n \"gpu\": [\n \"<string>\"\n ],\n \"nodes\": 123,\n \"ttl\": \"<string>\",\n \"maxSpend\": 123,\n \"providers\": [\n \"<string>\"\n ],\n \"regions\": [\n \"<string>\"\n ],\n \"minReliability\": 123,\n \"selector\": \"<string>\",\n \"mode\": \"<string>\",\n \"transport\": \"<string>\",\n \"fallback\": \"<string>\",\n \"priority\": 123,\n \"offerId\": \"<string>\",\n \"containerRuntime\": \"<string>\"\n },\n \"nodes\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/pools:launch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pool\": {\n \"name\": \"<string>\",\n \"gpu\": [\n \"<string>\"\n ],\n \"nodes\": 123,\n \"ttl\": \"<string>\",\n \"maxSpend\": 123,\n \"providers\": [\n \"<string>\"\n ],\n \"regions\": [\n \"<string>\"\n ],\n \"minReliability\": 123,\n \"selector\": \"<string>\",\n \"mode\": \"<string>\",\n \"transport\": \"<string>\",\n \"fallback\": \"<string>\",\n \"priority\": 123,\n \"offerId\": \"<string>\",\n \"containerRuntime\": \"<string>\"\n },\n \"nodes\": 123\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>",
"pool": {
"name": "<string>",
"selector": "<string>",
"config": {
"name": "<string>",
"gpu": [
"<string>"
],
"nodes": 123,
"ttl": "<string>",
"maxSpend": 123,
"providers": [
"<string>"
],
"regions": [
"<string>"
],
"minReliability": 123,
"selector": "<string>",
"mode": "<string>",
"transport": "<string>",
"fallback": "<string>",
"priority": 123,
"offerId": "<string>",
"containerRuntime": "<string>"
},
"reservations": [
{
"id": "<string>",
"poolName": "<string>",
"provider": "<string>",
"offerId": "<string>",
"status": "<string>",
"gpuCount": 123,
"hourlyCostMicros": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"billingRenewalAt": "2023-11-07T05:31:56Z",
"statusMessage": "<string>",
"terminatingReason": "<string>",
"machineId": "<string>",
"cloud": "<string>",
"region": "<string>",
"nodeCount": 123,
"instanceType": "<string>",
"cpuMillicores": "<string>",
"memoryMb": "<string>",
"storageMb": "<string>"
}
],
"committedSpendMicros": "<string>",
"status": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"machineCount": 123,
"readyMachineCount": 123,
"reservedNodes": 123,
"byoc": {
"provider": "<string>",
"accountId": "<string>",
"region": "<string>",
"resourceName": "<string>",
"resourceUrl": "<string>",
"destroyUrl": "<string>",
"phase": "<string>",
"desiredNodes": 123,
"maxNodes": 123,
"targetSandboxes": 123,
"sandboxesPerNode": 123,
"instanceType": "<string>",
"machineCount": 123,
"readyMachineCount": 123,
"message": "<string>",
"hourlyCostMicros": "<string>",
"totalHourlyCostMicros": "<string>",
"directScaleEnabled": true,
"gpu": "<string>",
"gpuCount": 123
}
},
"errorCode": "<string>",
"requiredCents": "<string>",
"availableCents": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

